'______________________________________________

'                                  DLL DEMO
'                                 Ron Kessler
'                                   6/16/08
'______________________________________________

'updated 6/16/08

'This project uses my DLL I created called RK_TBValidation (Textbox Validation).
'I saved the dll in this project for you to use.

'---this imports the name of my DLL 
Imports RK_TBValidation
Public Class Form1

    '---now create a new object from this dll and class. Datavalidation is the class inside the RK_TBValidation Library.
    Dim myValidator As New RK_TBValidation.DataValidation

    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click


        '---now we can use all the methods of my class inside the library I made just as if the class
        'was part of this project!

        'Make sure to never move the library's location or you will have to change references to it.
        'The standard way to do this is to save the library in the main folder of the project that is using it.

        Try
            '---test all fields
            If myValidator.IsPresent(txtFirst, "First Name") = True AndAlso _
                myValidator.IsString(txtFirst, "First Name") = True AndAlso _
                myValidator.IsPresent(txtLast, "Last Name") = True AndAlso _
                myValidator.IsString(txtLast, "Last Name") = True AndAlso _
                myValidator.IsInteger(txtAge, "Your age") = True AndAlso _
                myValidator.IsDate(mskDOB, "Birthdate") = True AndAlso _
                myValidator.IsDecimal(txtDeposit, "Deposit Amount") = True AndAlso _
                myValidator.IsWithinRange(txtDeposit, "Deposit Amount", 1, 1000) = True Then

                '---finally, make it so!
                txtNewBalance.Text = FormatNumber(CDec(txtStartingBalance.Text) + CDec(txtDeposit.Text))
                MessageBox.Show("Your deposit has been accepted!", "Deposit confirmation", _
                    MessageBoxButtons.OK, MessageBoxIcon.Information)
            End If

        Catch ex As Exception

            MessageBox.Show("Please contact customer support. Your data cannot be confirmed." & ex.Message, "System Message", _
                MessageBoxButtons.OK, MessageBoxIcon.Error)

        End Try
    End Sub
End Class
